This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 10339 - ircii overflow bug. please upgrade ircii. again.
ircii overflow bug. please upgrade ircii. again.
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: ircii (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
http://securityfocus.com/data/vulnera...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-24 21:22 EST by zurk
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-30 15:08:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description zurk 2000-03-24 21:22:10 EST
IrcII is a well-known Internet Relay Chat (IRC) client for unix. Version
 4.4-7 and possibly previous versions are known to be vulnerable to a
 buffer overflow condition in their direct client-to-client (DCC) chat
 implementation. It may be possible to execute arbitrary code on a client
 attempting to initiate a dcc chat. Exploitation this vulnerability could
 result in a remote compromise with the privileges of the user running the
 ircII client.

Upgrade IRCII to version 4.4M.
      Michael Sandrof upgrade IrcII 4.4M
      ftp://ircftp.au.eterna.com/pub/ircII/ircii-4.4M.tar.gz
Comment 1 Bill Nottingham 2000-03-30 15:09:59 EST
This is fixed in the errata release - thanks.

Note You need to log in before you can comment on or make changes to this bug.